Debian Bug report logs - #687358
findutils: excessive memory usage when using -printf and %A %C or %T

version graph

Package: findutils; Maintainer for findutils is Andreas Metzler <ametzler@debian.org>; Source for findutils is src:findutils.

Reported by: Nemo Maelstrom Thorx <debianbug@nemo.house.cx>

Date: Wed, 12 Sep 2012 03:51:07 UTC

Severity: normal

Tags: upstream

Found in versions findutils/4.4.2-4, findutils/4.4.2-1

Fixed in version findutils/4.5.11-1

Done: Andreas Metzler <ametzler@debian.org>

Forwarded to http://savannah.gnu.org/bugs/?37356

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andreas Metzler <ametzler@debian.org>:
Bug#687358; Package findutils. (Wed, 12 Sep 2012 03:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nemo Maelstrom Thorx <debianbug@nemo.house.cx>:
New Bug report received and forwarded. Copy sent to Andreas Metzler <ametzler@debian.org>. (Wed, 12 Sep 2012 03:51:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nemo Maelstrom Thorx <debianbug@nemo.house.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: findutils: excessive memory usage when using -printf and %A %C or %T
Date: Wed, 12 Sep 2012 13:44:05 +1000
Package: findutils
Version: 4.4.2-4
Severity: normal
Tags: upstream


Find appears to consume and not release large amounts of memory when
asked to print time directives with custom formatting. ie, %Ak, %Ck and %Tk. 

The rate of memory consumption appears to correlate with the number of
these directives used

Observable by running, for eg:
# find / -printf "[%y %11s %TY.%Tm.%Td %TH:%TM]\t%p\n"

...and simultaneously 'top' or other memory monitor. Resident size
grows without check. 

With enough files being found, this can grow to trigger an OOM. 


I've marked this as upstream, as I've since observed the same behaviour
on find 4.4.2 in CentOS (as well as in debian derivatives mint and
ubuntu)

Experimental 4.5 also appears to have the same issue. 

However 4.2 on an older non-debian system did not have this issue.


.../Nemo




-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages findutils depends on:
ii  dpkg          1.16.1.2
ii  install-info  4.13a.dfsg.1-8
ii  libc6         2.13-24

findutils recommends no packages.

Versions of packages findutils suggests:
ii  mlocate  0.23.1-1

-- no debconf information



Set Bug forwarded-to-address to 'http://savannah.gnu.org/bugs/?37356'. Request was from Andreas Metzler <ametzler@debian.org> to control@bugs.debian.org. (Sat, 15 Sep 2012 13:48:06 GMT) Full text and rfc822 format available.

Reply sent to Andreas Metzler <ametzler@debian.org>:
You have taken responsibility. (Sat, 02 Feb 2013 17:51:13 GMT) Full text and rfc822 format available.

Notification sent to Nemo Maelstrom Thorx <debianbug@nemo.house.cx>:
Bug acknowledged by developer. (Sat, 02 Feb 2013 17:51:13 GMT) Full text and rfc822 format available.

Message #12 received at 687358-close@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@debian.org>
To: 687358-close@bugs.debian.org
Subject: Bug#687358: fixed in findutils 4.5.11-1
Date: Sat, 02 Feb 2013 17:47:36 +0000
Source: findutils
Source-Version: 4.5.11-1

We believe that the bug you reported is fixed in the latest version of
findutils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687358@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Metzler <ametzler@debian.org> (supplier of updated findutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 02 Feb 2013 18:31:22 +0100
Source: findutils
Binary: findutils locate
Architecture: source i386
Version: 4.5.11-1
Distribution: experimental
Urgency: low
Maintainer: Andreas Metzler <ametzler@debian.org>
Changed-By: Andreas Metzler <ametzler@debian.org>
Description: 
 findutils  - utilities for finding files--find, xargs
 locate     - maintain and query an index of a directory tree
Closes: 397435 626907 687358
Changes: 
 findutils (4.5.11-1) experimental; urgency=low
 .
   * New upstream version.
     + 10_bashism.diff - Fix new bashisms in testsuite.
     + Documents differences between oldfind and find in manpages find.1,
       and oldfind.1. Use this one instead of symlinking find.1.
       Closes: #626907 (LP: #1026586)
     + Fixes excessive memory usage when using -printf and %A %C or %T.
       Closes: #687358
     + findutils: -ls shows major/minor device number. Closes: #397435
     + Uses last entry in mtab instead of first one for -printf '%F', i.e. it
       won't show rootfs for files on / anymore.
Checksums-Sha1: 
 6b2da85e43219c889deb200668c97e4d0fd4af68 1398 findutils_4.5.11-1.dsc
 d56f9027dfbde529b15e53eee354ceb2ee91e524 3116431 findutils_4.5.11.orig.tar.gz
 0da1b292f831b24a3a8995b0b6cfa78b47e6e641 23157 findutils_4.5.11-1.debian.tar.gz
 27b55af3bea75ec018dddbc370e68713ddfb1d73 725430 findutils_4.5.11-1_i386.deb
 81f4d01e871c06eb4dd3cf707f2e68bbe28d7173 206436 locate_4.5.11-1_i386.deb
Checksums-Sha256: 
 dcf3655fd7aa492295d5e44ac6431e784368b4c85250b5fe2dc03274476ecd0b 1398 findutils_4.5.11-1.dsc
 75e823592d917f1ac853a35cf46d6deeeb3b984240331ad1723f60da1a725d22 3116431 findutils_4.5.11.orig.tar.gz
 639b57fc079cbd9586057ddea7b03a179ebdb65c0b44dab7d64315feb7b9dfa6 23157 findutils_4.5.11-1.debian.tar.gz
 754b31eab87b7b2ea1767e8a85b34abe452ce2fdcca36fef010a37e44c2a87d0 725430 findutils_4.5.11-1_i386.deb
 358e46217ad4359417699ee6d1159f81875a847945c5ca428b3ca782cff15178 206436 locate_4.5.11-1_i386.deb
Files: 
 0af14e7758696c9f38ee6c4bae841c51 1398 utils required findutils_4.5.11-1.dsc
 05307c7b283873d6da03fd6ada36895a 3116431 utils required findutils_4.5.11.orig.tar.gz
 94ff974035b6f9e61f6d39c056d5de67 23157 utils required findutils_4.5.11-1.debian.tar.gz
 a7ec34edb655ce537f5ba619ca321083 725430 utils required findutils_4.5.11-1_i386.deb
 adf9e4242f54e955f63f01fe0864deae 206436 utils optional locate_4.5.11-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAlENTvgACgkQHTOcZYuNdmMTYgCcD95qExJnvJwB3ErSHK+ncz+s
rSkAn2eMwPdhvDQo2b4yLqpch3AJNeXF
=Xo6J
-----END PGP SIGNATURE-----




Marked as found in versions findutils/4.4.2-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 02 Nov 2013 05:58:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:30:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.